Subject: RE: VSP Notice: Group number: 30062303
From: Ted Hollenbeck <[email-masked]>
To: Michael B <[email-masked]>
Date: Fri, 15 Dec 2017 19:21:25 +0000

No problem!  Ted

From: Michael B [mailto:[email-masked]]
Sent: Friday, December 15, 2017 1:56 PM
To: Ted Hollenbeck <[email-masked]>
Subject: Re: VSP Notice: Group number: 30062303

Hello ted.
Well that adds up to the $39.99 so that sounds correct. Much appreciated! [Thumbs up emoticon]
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Ted Hollenbeck<mailto:[email-masked]>
Sent: Friday, December 15, 2017 12:52 PM
To: Michael B<mailto:[email-masked]>
Subject: RE: VSP Notice: Group number: 30062303

Good morning Mike!

Hope you are managing the snow...nothing like a nice blizzard to get you in the holiday spirit.  Regarding the vision, currently, your family and Amber B. are the only employees electing the option vision coverage.  When I illustrated my proposal, I added the cost of the vision to your and Amber's rates ($10.70 amber and $29.29 for your family).  I did the same thing for those enrolled in dental coverage.  You should be billed monthly for the vision coverage for you and Amber.  Does that help?

Ted

From: Michael B [mailto:[email-masked]]
Sent: Friday, December 15, 2017 10:24 AM
To: Ted Hollenbeck <[email-masked]<mailto:[email-masked]>>
Subject: VSP Notice: Group number: 30062303

Hello ted.
We received a "Payment Reminder Notice" from VSP. The payment date is 11/1/17 and the amount due is $39.99 for the Vision Care premium. Is this something we should be paying and if so how often is this coming to us? Wasn't sure how our vision was set up and I didn't see these amounts factored in the paper work. Your assistance is greatly appreciated.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355